function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Figures","2");
A=P.fN("Tables","3");
A=P.fN("Preface","4");
var B=A.fN("Related Documentation","5");
var C=B.fN("TIBCO ActiveMatrix Adapter for Tuxedo Documentation","5#30316");
C=B.fN("Other TIBCO Product Documentation","5#24887");
C=B.fN("Third-Party Documentation","5#30096");
B=A.fN("Typographical Conventions","6");
B=A.fN("How to Contact TIBCO Support","7");
A=P.fN("Chapter\u00a01 Preparing Tuxedo","8");
B=A.fN("Preparing Tuxedo","9");
A=P.fN("Chapter\u00a02 Getting Started","10");
B=A.fN("Overview","11");
C=B.fN("Before Starting","11#2195457");
B=A.fN("Preparing Tuxedo","12");
B=A.fN("Configuring the Adapter Components","13");
B=A.fN("Deploying the Adapter","14");
A=P.fN("Chapter\u00a03 Adapter Instance Options","15");
B=A.fN("Overview","16");
C=B.fN("Configuration Tasks","16#1992675");
C=B.fN("Multithreading","16#2206152");
C=B.fN("Connection Management","16#2206166");
C=B.fN("Internationalization","16#2206188");
C=B.fN("Saving the Project","16#2205881");
C=B.fN("Testing the Adapter","16#2205888");
B=A.fN("Adapter Instance Tabs","17");
C=B.fN("Configuration Tab","17#1992740");
C=B.fN("Run-time Connection Tab","17#1992778");
C=B.fN("Adapter Services Tab","17#2214589");
C=B.fN("General Tab","17#1992915");
C=B.fN("MultiThreading Tab","17#1992956");
C=B.fN("Logging Tab","17#1993000");
C=B.fN("Startup Tab","17#1993038");
C=B.fN("Monitoring Tab","17#1993053");
A=P.fN("Chapter\u00a04 Adapter Service Options","18");
B=A.fN("Overview","19");
C=B.fN("Message Transports","19#2225857");
B=A.fN("Publication Service Tabs","20");
C=B.fN("Configuration Tab","20#1993153");
C=B.fN("Publisher Options Tab","20#2230023");
C=B.fN("Fetch Schema Tab","20#1993216");
C=B.fN("Publisher Schema View Tab","20#1993230");
C=B.fN("Schema Tab","20#1993253");
C=B.fN("Transport Tab","20#1993262");
B=A.fN("Subscription Service Tabs","21");
C=B.fN("Configuration Tab","21#2237293");
C=B.fN("Subscriber Options Tab","21#1993430");
C=B.fN("Fetch Schema Tab","21#1993466");
C=B.fN("Subscriber Schema View Tab","21#1993487");
C=B.fN("Reply Schema View Tab","21#1993517");
C=B.fN("Schema Tab","21#1993531");
C=B.fN("Transport Tab","21#1993546");
B=A.fN("Request-Response Service Tabs","22");
C=B.fN("Configuration Tab","22#1993687");
C=B.fN("RPC Server Options Tab","22#2246345");
C=B.fN("Fetch Schema Tab","22#1993766");
C=B.fN("Request Schema View Tab","22#1993787");
C=B.fN("Reply Schema View Tab","22#1993812");
C=B.fN("Schema Tab","22#1993823");
C=B.fN("Transport Tab","22#1993843");
B=A.fN("Request-Response Invocation Service Tabs","23");
C=B.fN("Configuration Tab","23#1993963");
C=B.fN("RPC Client Options Tab","23#1993987");
C=B.fN("Fetch Schema Tab","23#2103732");
C=B.fN("Request Schema View Tab","23#1994040");
C=B.fN("Reply Schema View Tab","23#1994063");
C=B.fN("Schema Tab","23#1994074");
C=B.fN("Transport Tab","23#1994094");
A=P.fN("Chapter\u00a05 Deploying and Starting an Adapter Using TIBCO Administrator","24");
B=A.fN("Creating an EAR File in TIBCO Designer","25");
B=A.fN("Deploying the Project","26");
B=A.fN("Starting or Stopping the Adapter","27");
B=A.fN("Monitoring the Adapter","28");
A=P.fN("Chapter\u00a06 Configuring Advanced Features","29");
B=A.fN("Defining a TIBCO Hawk Session","30");
B=A.fN("Using Global Variables","31");
C=B.fN("Changing Global Variable Values at Runtime","31#1994557");
C=B.fN("Predefined Global Variables","31#1994567");
B=A.fN("Configuring a Remote Adapter","32");
B=A.fN("Configuring Multiple Adapter Instances to use Distributed Queues to Process Inbound Messages","33");
B=A.fN("Configuring Multiple Adapter Instances to use Distributed Queues to Process Outbound Messages","34");
A=P.fN("Chapter\u00a07 Monitoring the Adapter Using TIBCO Hawk","35");
B=A.fN("Overview","36");
B=A.fN("Starting TIBCO Hawk Software","37");
B=A.fN("The Auto-Discovery Process","38");
B=A.fN("Invoking Microagent Methods","39");
B=A.fN("Available Microagents","40");
C=B.fN("_onUnsolictedMsg()","41");
C=B.fN("activateTraceRole()","42");
C=B.fN("deactivateTraceRole()","43");
C=B.fN("getActivityStatistics()","44");
C=B.fN("getActivityStatisticsByOperation()","45");
C=B.fN("getActivityStatisticsByService()","46");
C=B.fN("getActivityStatisticsBySchema()","47");
C=B.fN("getAdapterServiceInformation()","48");
C=B.fN("getComponents()","49");
C=B.fN("getConfig()","50");
C=B.fN("getConfigProperties()","51");
C=B.fN("getConnectionStatistics()","52");
C=B.fN("getHostInformation()","53");
C=B.fN("getPerfMonSetting()","54");
C=B.fN("getPollingInterval()","55");
C=B.fN("getQueueStatistics()","56");
C=B.fN("getRvConfig()","57");
C=B.fN("getStatus()","58");
C=B.fN("getThreadStatistics()","59");
C=B.fN("getTraceSinks()","60");
C=B.fN("getVersion()","61");
C=B.fN("preRegisterListener()","62");
C=B.fN("resetActivityStatistics()","63");
C=B.fN("resetConnectionStatistics()","64");
C=B.fN("resetThreadStatistics()","65");
C=B.fN("reviewLedger()","66");
C=B.fN("setPollingInterval()","67");
C=B.fN("setTraceSinks()","68");
C=B.fN("stopApplicationInstance()","69");
C=B.fN("unRegisterListener()","70");
A=P.fN("Appendix\u00a0A Adapter Properties File","71");
B=A.fN("Overview","72");
B=A.fN("Properties File Format","73");
B=A.fN("Predefined Properties","74");
B=A.fN("Obfuscating or Encrypting a Password in a Properties File","75");
A=P.fN("Appendix\u00a0B Trace Messages","76");
B=A.fN("Overview","77");
B=A.fN("Trace Message Fields","78");
B=A.fN("Status Messages","79");
A=P.fN("Appendix\u00a0C Message Formats","80");
B=A.fN("Subscription Service Additional Fields","81");
B=A.fN("Request-Response Service Additional Fields","82");
A=P.fN("Appendix\u00a0D Adapter Agent API References","83");
B=A.fN("TIBCO Rendezvous Adapter Agent Methods","84");
B=A.fN("TIBCO EMS Adapter Agent Methods","85");
A=P.fN("Appendix\u00a0E FAQs and Troubleshooting","86");
B=A.fN("Frequently Asked Questions","87");
B=A.fN("Troubleshooting","88");
}
